Bug 1489490 - yum update failed on controller and compute nodes when ceph-osd repos is not enabled
Summary: yum update failed on controller and compute nodes when ceph-osd repos is not ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 11.0 (Ocata)
Assignee: Alan Bishop
QA Contact: Yogev Rabl
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 14:30 UTC by jomurphy
Modified: 2021-06-10 12:58 UTC (History)
31 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.2.0-4.el7ost
Doc Type: Bug Fix
Doc Text:
The ceph-osd package is not required on OpenStack controller and compute nodes; it is only required on ceph storage nodes (including hyperconverged nodes running ceph OSD and compute services). This package is only available in a repository that requires a special entitlement. However, the ceph-osd package is part of the common overcloud image, and its presence creates an RPM dependency problem when it cannot be updated along with the rest of the ceph packages. As a result, yum updates would fail on nodes that do not have the ceph-osd entitlement, even though they do not require the ceph-osd package. With this update, before performing yum update, the ceph-osd package is removed from overcloud nodes that do not require the package. As a result, yum updates succeed on nodes that do not require the ceph-osd package. Ceph storage and hyperconverged nodes that require the ceph-osd package will still require the necessary ceph OSD entitlement.
Clone Of: 1405881
Environment:
Last Closed: 2018-09-03 12:57:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1713292 0 None None None 2017-09-07 14:30:37 UTC
OpenStack gerrit 496921 0 None MERGED Maintain ceph-osd package only on nodes hosting CephOSD service 2020-09-04 15:18:51 UTC
Red Hat Knowledge Base (Solution) 2196011 0 None None None 2017-09-07 14:30:37 UTC
Red Hat Product Errata RHBA-2017:3098 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 director Bug Fix Advisory 2017-10-31 21:33:28 UTC

Comment 8 Yogev Rabl 2017-10-10 20:57:01 UTC
Verified

Comment 10 errata-xmlrpc 2017-10-31 17:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3098


Note You need to log in before you can comment on or make changes to this bug.